dbXML API

## org.dbxml.xml.dom
Class CharacterDataImpl

    java.lang.Object
      |
      +--org.dbxml.xml.dom.NodeImpl
            |
            +--org.dbxml.xml.dom.CharacterDataImpl

All Implemented Interfaces:
  org.w3c.dom.CharacterData, CompressedNode, DBNode, org.w3c.dom.Node

Direct Known Subclasses:
  CommentImpl, TextImpl

public abstract class CharacterDataImpl
extends NodeImpl
implements org.w3c.dom.CharacterData

CharacterDataImpl

Fields inherited from class org.dbxml.xml.dom.NodeImpl
`EX_DOMSTRING_SIZE, EX_HIERARCHY_REQUEST, EX_INDEX_SIZE, EX_INUSE_ATTRIBUTE, EX_INVALID_STATE, EX_NO_DATA_ALLOWED, EX_NO_MODIFICATION_ALLOWED, EX_NOT_FOUND, EX_WRONG_DOCUMENT, OBJECT_HREF, OBJECT_NS, OBJECT_TYPE, TYPE_APPEND, TYPE_CONTENT, TYPE_INSERT, TYPE_REPLACE, XMLNS_PREFIX`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`CharacterDataImpl()`
`CharacterDataImpl(NodeImpl parentNode, boolean dirty)`
`CharacterDataImpl(NodeImpl parentNode, byte[] data, int pos, int len)`
`CharacterDataImpl(NodeImpl parentNode, java.lang.String nodeValue)`

Method Summary
`void` `appendData(java.lang.String arg)` Append the string to the end of the character data of the node.
`void` `deleteData(int offset, int count)` Remove a range of characters from the node.
`java.lang.String` `getData()` The character data of the node that implements this interface.
`int` `getLength()` The number of characters that are available through `data` and the `substringData` method below.
`void` `insertData(int offset, java.lang.String arg)` Insert a string at the specified character offset.
`void` `replaceData(int offset, int count, java.lang.String arg)` Replace the characters starting at the specified character offset with the specified string.
`void` `setData(java.lang.String data)`
`void` `setNodeValue(java.lang.String nodeValue)` The value of this node, depending on its type; see the table above.
`java.lang.String` `substringData(int offset, int count)` Extracts a range of data from the node.

Methods inherited from class org.dbxml.xml.dom.NodeImpl

`appendChild, checkReadOnly, cloneNode, expandSource, getAttributes, getChildNodes, getDataBytes, getDataLen, getDataPos, getFirstChild, getKey, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSource, getSymbolID, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefined, isDirty, isLoaded, isSameNode, isSupported, load, lookupDefaultNamespaceURI, lookupNamespacePrefix, lookupNamespaceURI, normalize, normalizeNS, removeChild, replaceChild, setDataBytes, setDataBytes, setDataLen, setDataPos, setDirty, setNodeName, setParentNode, setPrefix, setSource, setUserData, unload`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setPrefix`

Constructor Detail

### CharacterDataImpl

    public CharacterDataImpl()

### CharacterDataImpl

    public CharacterDataImpl(NodeImpl parentNode,
                             byte[] data,
                             int pos,
                             int len)

### CharacterDataImpl

    public CharacterDataImpl(NodeImpl parentNode,
                             boolean dirty)

### CharacterDataImpl

    public CharacterDataImpl(NodeImpl parentNode,
                             java.lang.String nodeValue)

Method Detail

### setNodeValue

    public final void setNodeValue(java.lang.String nodeValue)
                            throws org.w3c.dom.DOMException

  Description copied from class: `NodeImpl`
  The value of this node, depending on its type; see the table above. When it is defined to be `null` , setting it has no effect.
  Specified by:
    `setNodeValue` in interface `org.w3c.dom.Node`
  Overrides:
    `setNodeValue` in class `NodeImpl`
  Following copied from class: `org.dbxml.xml.dom.NodeImpl`
  Throws:
    `org.w3c.dom.DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised when the node is readonly.
    `org.w3c.dom.DOMException` - DOMSTRING_SIZE_ERR: Raised when it would return more characters than fit in a `DOMString` variable on the implementation platform.

### substringData

    public final java.lang.String substringData(int offset,
                                                int count)
                                         throws org.w3c.dom.DOMException

  Extracts a range of data from the node.
  Specified by:
    `substringData` in interface `org.w3c.dom.CharacterData`
  Parameters:
    `offset` - Start offset of substring to extract.
    `count` - The number of characters to extract.
  Returns:
    The specified substring. If the sum of `offset` and `count` exceeds the `length`, then all characters to the end of the data are returned.
  Throws:
    `org.w3c.dom.DOMException` - INDEX_SIZE_ERR: Raised if the specified offset is negative or greater than the number of characters in `data`, or if the specified `count` is negative.
    DOMSTRING_SIZE_ERR: Raised if the specified range of text does not fit into a `DOMString`.

### getData

    public final java.lang.String getData()
                                   throws org.w3c.dom.DOMException

  The character data of the node that implements this interface. The DOM implementation may not put arbitrary limits on the amount of data that may be stored in a `CharacterData` node. However, implementation limits may mean that the entirety of a node's data may not fit into a single `DOMString`. In such cases, the user may call `substringData` to retrieve the data in appropriately sized pieces.
  Specified by:
    `getData` in interface `org.w3c.dom.CharacterData`
  Throws:
    `org.w3c.dom.DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised when the node is readonly.
    `org.w3c.dom.DOMException` - DOMSTRING_SIZE_ERR: Raised when it would return more characters than fit in a `DOMString` variable on the implementation platform.

### setData

    public final void setData(java.lang.String data)
                       throws org.w3c.dom.DOMException

  Specified by:
    `setData` in interface `org.w3c.dom.CharacterData`

### insertData

    public final void insertData(int offset,
                                 java.lang.String arg)
                          throws org.w3c.dom.DOMException

  Insert a string at the specified character offset.
  Specified by:
    `insertData` in interface `org.w3c.dom.CharacterData`
  Parameters:
    `offset` - The character offset at which to insert.
    `arg` - The `DOMString` to insert.
  Throws:
    `org.w3c.dom.DOMException` - INDEX_SIZE_ERR: Raised if the specified offset is negative or greater than the number of characters in `data`.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.

### getLength

    public final int getLength()

  The number of characters that are available through `data` and the `substringData` method below. This may have the value zero, i.e., `CharacterData` nodes may be empty.
  Specified by:
    `getLength` in interface `org.w3c.dom.CharacterData`

### replaceData

    public final void replaceData(int offset,
                                  int count,
                                  java.lang.String arg)
                           throws org.w3c.dom.DOMException

  Replace the characters starting at the specified character offset with the specified string.
  Specified by:
    `replaceData` in interface `org.w3c.dom.CharacterData`
  Parameters:
    `offset` - The offset from which to start replacing.
    `count` - The number of characters to replace. If the sum of `offset` and `count` exceeds `length` , then all characters to the end of the data are replaced (i.e., the effect is the same as a `remove` method call with the same range, followed by an `append` method invocation).
    `arg` - The `DOMString` with which the range must be replaced.
  Throws:
    `org.w3c.dom.DOMException` - INDEX_SIZE_ERR: Raised if the specified offset is negative or greater than the number of characters in `data`, or if the specified `count` is negative.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.

### appendData

    public final void appendData(java.lang.String arg)
                          throws org.w3c.dom.DOMException

  Append the string to the end of the character data of the node. Upon success, `data` provides access to the concatenation of `data` and the `DOMString` specified.
  Specified by:
    `appendData` in interface `org.w3c.dom.CharacterData`
  Parameters:
    `arg` - The `DOMString` to append.
  Throws:
    `org.w3c.dom.DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.

### deleteData

    public final void deleteData(int offset,
                                 int count)
                          throws org.w3c.dom.DOMException

  Remove a range of characters from the node. Upon success, `data` and `length` reflect the change.
  Specified by:
    `deleteData` in interface `org.w3c.dom.CharacterData`
  Parameters:
    `offset` - The offset from which to remove characters.
    `count` - The number of characters to delete. If the sum of `offset` and `count` exceeds `length` then all characters from `offset` to the end of the data are deleted.
  Throws:
    `org.w3c.dom.DOMException` - INDEX_SIZE_ERR: Raised if the specified offset is negative or greater than the number of characters in `data`, or if the specified `count` is negative.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved